summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/kmyfirewall/README18
-rw-r--r--network/kmyfirewall/kmyfirewall.SlackBuild74
-rw-r--r--network/kmyfirewall/kmyfirewall.info8
-rw-r--r--network/kmyfirewall/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/network/kmyfirewall/README b/network/kmyfirewall/README
new file mode 100644
index 0000000000..1a5654163b
--- /dev/null
+++ b/network/kmyfirewall/README
@@ -0,0 +1,18 @@
+KMyFirewall attempts to make it easier to setup IPTables based firewalls on
+Linux systems. It will be the right tool if you like to have a so called
+"Personal Firewall" running on your Linux box, but don't have the time and/or
+the interest to spend hours in front of the IPTables manual just to setup a
+firewall that keeps the "bad" people out.
+
+The firewall has the ability to save entire rulesets, so you only have to
+configure your ruleset one time, and then you can use it on several computers
+ giving each of them a similar configuration (p.e. school networks, office,
+university, etc.).
+
+Programs can't do any magic, so you still will have to know what your firewall
+should do to setup your ruleset. KMyFirewall just tries to help you as much as
+possible, but you decide what it will do.
+
+Since the last stable release, the user interface has been expanded to enable
+easier and more flexible configuration for both advanced and novice users.
+Also, NAT support has become far more accessible to setup.
diff --git a/network/kmyfirewall/kmyfirewall.SlackBuild b/network/kmyfirewall/kmyfirewall.SlackBuild
new file mode 100644
index 0000000000..1f3e0ff419
--- /dev/null
+++ b/network/kmyfirewall/kmyfirewall.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for kmyfirewall
+# Copyright 2007 Michiel van Wessem (http://michielvwessem.wordpress.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kmyfirewall
+VERSION=1.1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS COPYING ChangeLog INSTALL README TODO kmyfirewall.lsm"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-debug
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/kmyfirewall/kmyfirewall.info b/network/kmyfirewall/kmyfirewall.info
new file mode 100644
index 0000000000..f90ddf7114
--- /dev/null
+++ b/network/kmyfirewall/kmyfirewall.info
@@ -0,0 +1,8 @@
+PRGNAM="kmyfirewall"
+VERSION="1.1.1"
+HOMEPAGE="http://kmyfirewall.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/kmyfirewall/kmyfirewall-1.1.1.tar.bz2"
+MD5SUM="707afe4bb8724148986fd80485f0da03"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel.van.wessem@gmail.com"
+APPROVED="rworkman"
diff --git a/network/kmyfirewall/slack-desc b/network/kmyfirewall/slack-desc
new file mode 100644
index 0000000000..364e5dbc7e
--- /dev/null
+++ b/network/kmyfirewall/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kmyfirewall: kmyfirewall (an IPTables based firewall configuration tool)
+kmyfirewall:
+kmyfirewall: KMyFirewall attempts to make it easier to setup IPTables based
+kmyfirewall: firewalls on Linux systems. It will be the right tool if you like
+kmyfirewall: to have a so called "Personal Firewall" running on your Linux box,
+kmyfirewall: but don't have the time and/or the interest to spend hours in
+kmyfirewall: front of the IPTables manual just to setup a firewall that keeps
+kmyfirewall: the "bad" people out.
+kmyfirewall:
+kmyfirewall: Homepage: http://kmyfirwall.sourceforge.net
+kmyfirewall: